Subject: Re: p4080ds IRQ vector number for he External IRQ4 and IRQ5

From: Scott Wood <[email-masked]>
Date: Mon, 11 Jan 2016 18:24:57 -0600

On Wed, 2016-01-06 at 08:40 +0000, Lakshmi wrote:
> I have been trying to figure out what is the vector number used for external
> IRQ4 and IRQ5 in P4080ds.
> 
> According to board document xpedite5470-p4080 
> IRQ4: VPX GP Input 0 (GPI0)
> IRQ5 VPX GP Input 1 (GPI1)
> 
> In p4080 user guide OpenPIC interrupt connection its mentioned as
> 
> IRQ4_B: SLOT4 Sideband connector (SGMII riser does not connect, XAUI riser
> can use or inband)
> 
> IRQ5_B: MIC2076 USB Power FLAG for over current at USB connector
> 
> But in code i am unable to find any info related to IRQ4 and IRQ5.
> 
> How can i find??

Are you asking what to put in the device tree for these interrupts?  External
IRQ4 is <4 ls 0 0> and IRQ5 is <5 ls 0 0>, with ls being the level/sense info.

See Documentation/devicetree/bindings/powerpc/fsl/mpic.txt for details.

-Scott